diff -urpN --exclude-from=/home/davej/.exclude bk-linus/mm/filemap.c linux-2.5/mm/filemap.c
--- bk-linus/mm/filemap.c	2002-11-21 02:24:41.000000000 +0000
+++ linux-2.5/mm/filemap.c	2002-11-21 18:05:21.000000000 +0000
@@ -1607,7 +1608,7 @@ generic_file_write_nolock(struct file *f
 	/*
 	 * Check whether we've reached the file size limit.
 	 */
-	if (unlikely(limit != RLIM_INFINITY)) {
+	if (!S_ISBLK(inode->i_mode) && unlikely (limit != RLIM_INFINITY)) {
 		if (pos >= limit) {
 			send_sig(SIGXFSZ, current, 0);
 			err = -EFBIG;
